Update recipients in template
Updates recipients in a template.
You can edit the following properties: email, userName, routingOrder, faxNumber, deliveryMethod, accessCode, and requireIdLookup.
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
The external account number (int) or account ID Guid.
Query parameters
When true, resends the envelope to the recipients that you specify in the request body. Use this parameter to resend the envelope to a recipient who deleted the original email notification.
Note: Correcting an envelope is a different process. Docusign always resends an envelope when you correct it, regardless of the value that you enter here.
Request
This endpoint expects an object: templateRecipients
Identifies a recipient that can, but is not required to, add name and email information for recipients at the same or subsequent level in the routing order (until subsequent Agents, Editors or Intermediaries recipient types are added).
The list of recipient event statuses that will trigger Connect to send updates to the url. It can be a two-part list with:
- recipientEventStatusCode - The recipient status, this can be Sent, Delivered, Completed, Declined, AuthenticationFailed, and AutoResponded.
- includeDocuments - When true, the envelope time zone information is included in the message.
Specifies one or more electronic seals to apply on documents. For more information on Electronic Seals , see https://support.docusign.com/s/document-item?bundleId=xcm1643837555908&topicId=isl1578456577247.html
Response
An array of recipientUpdateResults objects that contain details about the recipients.